Initiate withdrawal to Spot wallet
curl --request POST \
--url https://futures.kraken.com/derivatives/api/v3/withdrawal \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>'import requests
url = "https://futures.kraken.com/derivatives/api/v3/withdrawal"
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};
fetch('https://futures.kraken.com/derivatives/api/v3/withdrawal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/withdrawal"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"uid": "9053db5f-0d5e-48dd-b606-a5c92576b706",
"result": "success",
"serverTime": "2022-06-28T14:48:58.711Z"
}Transfers
Initiate withdrawal to Spot wallet
deprecated
Deprecated: use POST /transfer with toAccount=spot instead.
This endpoint allows you to request to withdraw digital assets to your Kraken Spot wallet.
Wallet names can be found in the ‘accounts’ structure in the Get Wallets /accounts response.
A withdrawal the trading engine rejects returns an error response with insufficientFunds,
invalidAmount, or invalidUnit.
Once the venue settles withdrawals as immediate balance transfers, the funds have reached
the Spot wallet when the response is sent and there is no transfer to poll: uid is then
the nil UUID 00000000-0000-0000-0000-000000000000.
POST
/
withdrawal
Initiate withdrawal to Spot wallet
curl --request POST \
--url https://futures.kraken.com/derivatives/api/v3/withdrawal \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>'import requests
url = "https://futures.kraken.com/derivatives/api/v3/withdrawal"
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};
fetch('https://futures.kraken.com/derivatives/api/v3/withdrawal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/withdrawal"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"uid": "9053db5f-0d5e-48dd-b606-a5c92576b706",
"result": "success",
"serverTime": "2022-06-28T14:48:58.711Z"
}Authorizations
Query Parameters
Response
200 - application/json
- Option 1
- Errors
Withdrawal initiated
Was this page helpful?